
import React from 'react';
import Icon from 'react-icon-base';

const SlGhost = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M511.984 960.128c-229.216 0 -415.681 -199.903 -415.681 -445.6v-546.672c0 -13.2158 8.16016 -25.0879 20.4961 -29.8398c3.71191 -1.47168 7.63184 -2.16016 11.5039 -2.16016c8.84766 0 17.5361 3.67969 23.7119 10.5273l120.592 133.12l94.4316 -130.432 c5.96777 -8.25586 15.5039 -13.1514 25.6797 -13.2158h0.223633c10.0957 0 19.6318 4.78418 25.6641 12.9121l94.8164 127.344l93.1836 -127.152c6.03223 -8.22363 15.6006 -13.0879 25.8086 -13.0879c10.1924 0 19.7764 4.84766 25.8086 13.0557l95.5684 130.288 l118 -132.624c8.81641 -9.9043 22.9443 -13.376 35.2803 -8.62402c12.4004 4.71973 20.624 16.624 20.624 29.9043v546.672c0 245.68 -186.496 445.584 -415.712 445.584zM863.695 51.9688l-88.4023 99.375c-6.43164 7.21582 -15.8076 11.3115 -25.4072 10.6875 c-9.66406 -0.463867 -18.5918 -5.24805 -24.3193 -13.0244l-93.1201 -127.008l-93.0078 126.912c-6 8.19238 -15.5361 13.0566 -25.6797 13.0889h-0.12793c-10.1279 0 -19.6318 -4.78418 -25.6641 -12.9121l-94.6885 -127.152l-92 127.088 c-5.66406 7.80762 -14.5283 12.6553 -24.1602 13.1514c-0.591797 0.0322266 -1.15137 0.0644531 -1.74316 0.0644531c-9.00781 0 -17.6318 -3.80762 -23.7119 -10.5273l-91.376 -100.848v463.68c0 210.4 157.776 381.601 351.681 381.601 c193.936 0 351.712 -171.184 351.712 -381.6v-462.576h0.015625zM671.997 607.84c-35.2803 0 -63.8398 -28.5918 -63.8398 -63.8076c0 -35.248 28.5596 -63.8398 63.8398 -63.8398s63.8398 28.5918 63.8398 63.8398c0 35.2158 -28.5596 63.8076 -63.8398 63.8076z M351.997 607.84c-35.2803 0 -63.8398 -28.5918 -63.8398 -63.8076c0 -35.248 28.5762 -63.8398 63.8398 -63.8398s63.8398 28.5918 63.8398 63.8398c0 35.2158 -28.5596 63.8076 -63.8398 63.8076z"/></g>
    </Icon>
);

export default SlGhost;
